## pypy 5.0.1+dfsg

=== Makefile ===

all: pypy-c cffi_imports

PYPY_EXECUTABLE := $(shell which pypy)
URAM := $(shell python -c "import sys; print 4.5 if sys.maxint>1<<32 else 2.5")

ifeq ($(PYPY_EXECUTABLE),)
RUNINTERP = python
else
RUNINTERP = $(PYPY_EXECUTABLE)
endif

.PHONY: cffi_imports

pypy-c:
	@echo
	@echo "===================================================================="
ifeq ($(PYPY_EXECUTABLE),)
	@echo "Building a regular (jitting) version of PyPy, using CPython."
	@echo "This takes around 2 hours and $(URAM) GB of RAM."
	@echo "Note that pre-installing a PyPy binary would reduce this time"
	@echo "and produce basically the same result."
else
	@echo "Building a regular (jitting) version of PyPy, using"
	@echo "$(PYPY_EXECUTABLE) to run the translation itself."
	@echo "This takes up to 1 hour and $(URAM) GB of RAM."
endif
	@echo
	@echo "For more control (e.g. to use multiple CPU cores during part of"
	@echo "the process) you need to run \`\`rpython/bin/rpython'' directly."
	@echo "For more information see \`\`http://pypy.org/download.html''."
	@echo "===================================================================="
	@echo
	@sleep 5
	$(RUNINTERP) rpython/bin/rpython -Ojit pypy/goal/targetpypystandalone.py

# Note: the -jN option, or MAKEFLAGS=-jN, are not usable.  They are
# replaced with an opaque --jobserver option by the time this Makefile
# runs.  We cannot get their original value either:
# http://lists.gnu.org/archive/html/help-make/2010-08/msg00106.html

cffi_imports: pypy-c
	PYTHONPATH=. ./pypy-c pypy/tool/build_cffi_imports.py

=== requirements.txt ===
# hypothesis is used for test generation on untranslated jit tests
hypothesis
enum>=0.4.6 # is a dependency, but old pip does not pick it up

=== debian/changelog ===
pypy (5.0.1+dfsg-4) unstable; urgency=medium

  * Disable building with pypy on ppc64, again. It has a JIT, but pypy itself
    is just too buggy on big-endian, to manage a translation.
  * hg-updates: fix wait() on big endian (which should resolve the above
    issue).
  * kfreebsd-tests: Skip PTY tests that hang forever on kFreeBSD.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 Apr 2016 16:54:44 -0700

pypy (5.0.1+dfsg-3) unstable; urgency=medium

  * Re-enable pypy builds on ppc64.
  * ARM JIT backend: Only execute NEON instructions on CPUs with NEON support.
  * hg-updates: Apply patches staged in upstream's release branch.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Mar 2016 21:42:35 -0500

pypy (5.0.1+dfsg-2) unstable; urgency=medium

  * Drop libunwind build-dep, not used any more, in PyPy 5.0.
  * Port the recent vmprof changes to kFreeBSD.
  * Make pypy-lib an architecture-dependant package, so that we remain
    installable on buildds, after Architecture: all build has been installed.
  * Temporarily build with python2.7 on ppc64, to re-bootstrap.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 22 Mar 2016 20:46:30 -0700

pypy (5.0.1+dfsg-1) unstable; urgency=medium

  * New upstream patch release.
  * Recognise armv8l architecture, so we can build in an armhf chroot on
    arm64.
  * Build with pypy on architectures with a JITted PyPy. This is now necessary
    on armhf, as we otherwise can't build a jitted pypy in a 3GB address
    space (32bit kernel userspace).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Mar 2016 08:58:13 -0400

pypy (5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop soabi patch, superseded upstream.
  * Bump copyright years.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Switch both Vcs fields to the same https URL.
  * Patch: sandbox-unlink allow the sandbox REPL to start, by supporting
    unlink() (and rejecting it).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Mar 2016 23:57:01 -0700

pypy (4.0.1+dfsg-1) unstable; urgency=medium

  * New upstream patch release.
  * Refresh patches, drop hg-updates.
  * Update copyright.
  * Enable continuation on PPC64 and MIPS64.
  * Switch VCS-Browser to cgit, on https.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 20 Nov 2015 11:21:52 -0800

pypy (4.0.0+dfsg-2) unstable; urgency=medium

  * Set the magic tag (.pyc filename) to the soabi, for simplicity. We haven't
    had any changes to bytecode in a while. Part of #803689.
  * Expose SOABI in sysconfig for dh_pypy, so it can generate dependencies on
    pypy-abi-XX.
  * Provide pypy-abi-XX.
  * Force a re-byte-compile, if 4.0.0+dfsg-1 was installed.
  * Apply upstream post-release bug-fixes.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 02 Nov 2015 13:20:28 -0800

pypy (4.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (2.6.x skips to 4.0.x to avoid confusion with
    current cPython releases).
    - Now supports JIT on 64bit PPC (both endians)
  * Refresh patches.
  * valgrind is now available on mips64el.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 29 Oct 2015 11:03:32 -0700

pypy (2.6.1+dfsg-2) unstable; urgency=medium

  * pypy-dev: Move headers back to their include dir. (Closes: #799485)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 21 Sep 2015 14:49:17 -0700

pypy (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #786738)
  * Refresh patches.
  * Drop patch, superseded upstream: vmprof-amd64.
  * Update copyright.
  * Generate Provides for pypy-cffi, like python-cffi 1.1.2 does.
  * Properly support the binary-indep target.
  * Drop grammar pickles from lib2to3, not needed.
  * Multiarch ctypes_config_cache.
  * Build-Depend on dh-python, for dh_python2.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Sep 2015 12:17:03 -0400

=== debian/control ===
Source: pypy
Section: python
Priority: extra
Maintainer: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 9.20141010~),
 dh-exec,
 dh-python,
 dpkg-dev (>= 1.17.14~),
 libbz2-dev,
 libexpat1-dev,
 libffi-dev,
 libgdbm-dev,
 libncurses-dev,
 libsqlite3-dev,
 libssl-dev,
 netbase,
 pkg-config,
 procps,
 pypy [amd64 armhf i386 ppc64el] <!stage1>,
 python (>= 2.6.6-11~),
 python-docutils,
 python-sphinx (>= 1.0.7+dfsg),
 python2.7-dev,
 tcl-dev,
 tk-dev,
 valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
 zlib1g-dev
Build-Depends-Indep: graphviz
Standards-Version: 3.9.7
Homepage: http://pypy.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pypy.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pypy.git

Package: pypy
Architecture: kfreebsd-any linux-any
Depends: pypy-lib (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: pypy-dev (<< ${source:Version})
Provides: ${pypy-abi}
Suggests: pypy-doc, pypy-tk (= ${binary:Version})
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: fast alternative implementation of Python - PyPy interpreter
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7). It has several advantages and distinct features:
  * Speed: thanks to its Just-in-Time compiler (on x86), Python programs often
    run faster on PyPy.
  * Memory usage: large, memory-hungry Python programs might end up taking less
    space than they do in CPython.
  * Compatibility: PyPy is highly compatible with existing Python code.
    It supports ctypes and can run popular Python libraries like twisted and
    django.
  * Stackless: PyPy supports stackless mode on most platforms, providing
    micro-threads for massive concurrency.
 .
 This package contains the PyPy interpreter.

Package: pypy-tk
Architecture: kfreebsd-any linux-any
Depends: pypy (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: pypy-lib (<< 2.2)
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: Tkinter module for PyPy (an alternative Python interpreter)
 A module for writing portable GUI applications with PyPy using Tk.
 Also known as Tkinter.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: python-pypy.sandbox
Architecture: kfreebsd-any linux-any
Depends:
 pypy-lib (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests: python-py
Replaces: python-pypy.translator.sandbox (<< 2.0~beta2+hg61648)
Breaks: python-pypy.translator.sandbox (<< 2.0~beta2+hg61648)
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: sandboxed PyPy interpreter
 A version of PyPy that runs fully "virtualized", where an external process
 controls all input/output. This is a secure sandbox, it is safe to run any
 untrusted Python code with it. The Python code cannot see or modify any local
 file except via interaction with the external process.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: pypy-lib
Architecture: kfreebsd-any linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Provides: ${cffi:Provides}
Description: standard library for PyPy (an alternative Python interpreter)
 The PyPy standard library. This is a combination of modules, copied directly
 from cpython, modified cpython modules, and modules entirely re-implemented
 (usually in pure Python, where they are C extensions in cpython).
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: pypy-lib-testsuite
Architecture: all
Depends: pypy, pypy-lib (>= ${source:Version}), ${misc:Depends}
Replaces: pypy-lib (<< 2.2)
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: standard library test suite for PyPy (an alternative Python interpreter)
 The complete test suite for the PyPy standard library.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: pypy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Suggests: python-doc
Description: developer Documentation for PyPy (an alternative Python interpreter)
 The Developer documentation for PyPy. This mostly covers the internals of
 PyPy, and development of PyPy itself.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: pypy-dev
Architecture: all
Depends: pypy (>= ${source:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: header files for PyPy (an alternative Python interpreter)
 Header files for compiling cpython C extension modules for use with PyPy.
 Note that pure Python modules will probably perform better.
 .
 PyPy supports a subset of cpython's C API through its CPyExt subsystem.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

=== debian/rules ===
#!/usr/bin/make -f

# Take advantage of PyPy if it's installed
PYTHON=$(shell command -v pypy > /dev/null && echo pypy || echo python2.7)

# PyPy doesn't harden well, and handles opt and debug itself
BUILDFLAGS_ENV := DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector,-fortify
BUILDFLAGS_ENV += DEB_CFLAGS_MAINT_STRIP="-O0 -O1 -O2 -O3 -Os -Ofast -g"
export CFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get CFLAGS)
export LDFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get LDFLAGS)

export PYPY_USESSION_BASENAME := debian

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  SUB_MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# dh_python2 is used for pypy-sandbox
%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_configure:
	# This rule left intentionally empty

override_dh_auto_build-arch: pypy/goal/pypy-c pypy/goal/pypy-c-sandbox
	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs

	# Build cffi modules
	debian/scripts/build-cffi-modules.py
	debian/scripts/multiarch-extensions.sh

override_dh_auto_build-indep:
	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
	lib_pypy/ctypes_config_cache/rebuild.py

pypy/goal/pypy-%: export TMPDIR = $(CURDIR)/build-tmp
pypy/goal/pypy-%: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
pypy/goal/pypy-%:
	rm -rf $(TMPDIR)
	mkdir $(TMPDIR)
	debian/scripts/translate.sh --python $(PYTHON) $$(echo $@ | grep -q sandbox && echo --sandbox)
	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
	cp $(C_SRC_DIR)/pypy-c $@

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test-arch: export TMPDIR = $(CURDIR)/build-tests-tmp
override_dh_auto_test-arch: export HOME = $(TMPDIR)
override_dh_auto_test-arch:
	rm -rf $(TMPDIR) build-tests
	mkdir $(TMPDIR) build-tests
	# Test failures currently ignored
	PYTHONPATH=. $(PYTHON) -u testrunner/runner.py \
	                       --logfile=build-tests/pytest-A.log \
	                       --config=pypy/pytest-A.cfg \
	                       --root=pypy || true
	TERM=$${TERM:-dumb} $(PYTHON) -u pypy/test_all.py \
	          --pypy=pypy/goal/pypy-c \
	          --resultlog=build-tests/lib-python.log \
	          lib-python || true
	pypy/goal/pypy-c -u pypy/test_all.py \
	       --resultlog=build-tests/pypy-c.log \
	       pypy/module/pypyjit/test_pypy_c || true
endif

override_dh_auto_install:
	debian/scripts/gen-backend-versions.py

override_dh_fixperms-arch:
	debian/scripts/cleanup-lib.sh pypy-lib
	find debian/pypy-tk \( -name '*.pyc' -o -name '__pycache__' \) -delete
	# Fix interpreters
	find debian/pypy-tk \
	     -name '*.py' -print0 \
	     | xargs -0 sed -i -e '1s|^#!.*python.*|#!/usr/bin/pypy|'
	dh_fixperms -a

override_dh_fixperms-indep:
	debian/scripts/cleanup-lib.sh pypy-lib-testsuite
	dh_fixperms -i

override_dh_sphinxdoc-arch:
	# dh_sphinxdoc doesn't fail silently when there are no docs

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_python2:
	dh_python2 -p python-pypy.sandbox

override_dh_installdeb:
	set -e; for maintscript in preinst postinst prerm; do \
		sed -e 's/#VERSION#/$(VER)/g' \
		    -e 's/#ARCH#/$(shell dpkg-architecture -qDEB_HOST_ARCH)/g' \
		    debian/pypy.$$maintscript.in > debian/pypy.$$maintscript; \
	done
	dh_installdeb

override_dh_builddeb:
	dh_builddeb -- -Zxz

HG_REPO ?= https://bitbucket.org/pypy/pypy
REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')
get-packaged-orig-source:
	@echo "You can build this from a local repo by supplying the HG_REPO variable"
	rm -rf pypy-$(VER).orig
	hg clone $(HG_REPO) pypy-$(VER).orig
ifeq (,$(REV))
	cd pypy-$(VER).orig && hg up -r release-$(VER)
else
	cd pypy-$(VER).orig && hg up -r $(REV)
endif
	rm -rf pypy-$(VER).orig/.hg*
	rm pypy-$(VER).orig/lib-python/2.7/distutils/command/*.exe
	rm -rf pypy-$(VER).orig/lib-python/2.7/ensurepip/_bundled/
	tar -cJ --owner root --group root --mode a+rX \
	    -f pypy_$(VER)+dfsg.orig.tar.xz pypy-$(VER).orig
	rm -rf pypy-$(VER).orig

=== debian/watch ===
version=3

# To repack, run debian/rules get-packaged-orig-source
opts=dversionmangle=s/\+dfsg// \
https://bitbucket.org/pypy/pypy/downloads/ /pypy/pypy/get/release-([0-9.]+).tar.gz

## pypy 5.1.2%2Bdfsg

=== debian/changelog ===
pypy (5.1.2+dfsg-1~16.04) xenial-proposed; urgency=medium

  * SRU: LP: #1589268. Backport 5.2.1 to 16.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jun 2016 16:44:16 +0200

pypy (5.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh s390x-march.
  * Drop other s390x patches, superseded upstream.
  * Build with cpython on s390x, until we've got a JIT bootstrapped (builds
    timing out, without it). (Closes: #823916)
  * britney now supports versioned Provides, so generate them in pydist.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 17 May 2016 19:31:56 +0200

pypy (5.1.1+dfsg-4) unstable; urgency=medium

  * Remove stray print in s390x-cpuinfo.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 14 May 2016 09:14:01 +0200

pypy (5.1.1+dfsg-3) unstable; urgency=medium

  * Correct s390x-cpunifo rpython.
  * Build with pypy on s390x, as there's now a JIT.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 13 May 2016 10:49:18 +0200

pypy (5.1.1+dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream s390x patches, that should (amongst other things) get
    us building on s390x, again. (Closes: #823916)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 12 May 2016 23:43:29 +0200

pypy (5.1.1+dfsg-1) unstable; urgency=medium

  * New upstream patch release.
  * Don't target newer subarchitectures on s390x, Debian doesn't support them
    (Closes: #823916).
  * Build pypy with pypy again on ppc64 (now that it has bootstrapped).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 10 May 2016 16:47:34 +0200

pypy (5.1+dfsg-1) unstable; urgency=medium

  * New upstream minor version.
  * Refresh patches.
  * Drop patches, superseded upstream: noise, sandbox-unlink, armv8l,
    vmkprof-kfreebsd, neon, kfreebsd-tests, hg-updates, ensure-valid-term
  * Update copyright.
  * The ctypes config_cache no longer exists, drop handling of it.
  * Enable JIT on s390x (now that it is supported).
  * Build with pypy on kfreebsd.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 30 Apr 2016 12:25:30 +0200

## pypy 5.1.2+dfsg

=== requirements.txt ===
# hypothesis is used for test generation on untranslated jit tests
hypothesis
enum34>=1.1.2

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  netbase,
  pkg-config,
  procps,
- pypy [amd64 armhf i386 ppc64el] <!stage1>,
+ pypy [any-amd64 any-i386 armhf ppc64 ppc64el] <!stage1>,
  python (>= 2.6.6-11~),
  python-docutils,
  python-sphinx (>= 1.0.7+dfsg),
@@ -27,7 +27,7 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://pypy.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pypy.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pypy.git

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,6 @@
 
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
-	lib_pypy/ctypes_config_cache/rebuild.py
 
 pypy/goal/pypy-%: export TMPDIR = $(CURDIR)/build-tmp
 pypy/goal/pypy-%: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1

## pypy 5.4.1+dfsg

=== debian/changelog ===
pypy (5.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, superseded upstream: cpython-recursionlimit,
    floatingpoint-accuracy, libm-tests.
  * Update copyright file.
  * Enable continuation on s390x, it's been supported since 5.1.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 06 Sep 2016 15:06:37 -0700

pypy (5.4.0+dfsg-2) unstable; urgency=medium

  * Patch cpython-recursionlimit: Resolve FTBFS when translating with cpython
  * Patch floatingpoint-accuracy: Hopefully resolve FTBFS on ppc64el.
  * Patch libm-tests: Resolve test failures in _rawffi.
  * Drop python-pypy.sandbox. It is broken upstream in 5.4.0, as it has been
    in all upstream releases in recent history.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 31 Aug 2016 18:49:14 -0700

pypy (5.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches, superseded upstream: s390x-march, sandboxed-mkdir.
  * Update watch file, following upstream's new tag syntax.
  * Upstream now lets us target a s390x subarch, so target z10, the oldest
    upstream supports.
  * Patch distutils-idempotent: Make customize_compiler idempotent. This
    avoids infinitely long command lines and thus an FTBFS. (Closes: #835772)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 31 Aug 2016 09:11:33 -0700

pypy (5.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, superseded upstream: ppc-jit-ftbfs, pymem.h.
  * Build with pypy on s390x again, the JIT is bootstrapped.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Jun 2016 14:29:07 +0200

pypy (5.3+dfsg-2) unstable; urgency=medium

  * Cherry-pick two upstream patches.
    - Patch ppc-jit-ftbfs: Fix JIT FTBFS on ppc64 (a trivial mistake).
    - Patch pymem.h: Add include guards to pymem.h.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 10 Jun 2016 00:15:08 +0200

pypy (5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upstream is using a new tag syntax for releases.
  * Refresh patches.
  * Update copyright.
  * Re-instate noise patch, upstream is detecting TTYs again.
  * Patch sandbox-mkdir: Return EPERM to sandboxed pypy when it tries to
    create __pycache__ directories (Closes: #825702)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 09 Jun 2016 00:55:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends:
  debhelper (>= 9.20141010~),
  dh-exec,
- dh-python,
  dpkg-dev (>= 1.17.14~),
  libbz2-dev,
  libexpat1-dev,
@@ -17,7 +16,7 @@
  netbase,
  pkg-config,
  procps,
- pypy [any-amd64 any-i386 armhf ppc64 ppc64el] <!stage1>,
+ pypy [any-amd64 any-i386 armhf ppc64 ppc64el s390x] <!stage1>,
  python (>= 2.6.6-11~),
  python-docutils,
  python-sphinx (>= 1.0.7+dfsg),
@@ -62,26 +61,6 @@
 Description: Tkinter module for PyPy (an alternative Python interpreter)
  A module for writing portable GUI applications with PyPy using Tk.
  Also known as Tkinter.
- .
- PyPy is a fast, compliant alternative implementation of the Python language
- (2.7).
-
-Package: python-pypy.sandbox
-Architecture: kfreebsd-any linux-any
-Depends:
- pypy-lib (= ${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Suggests: python-py
-Replaces: python-pypy.translator.sandbox (<< 2.0~beta2+hg61648)
-Breaks: python-pypy.translator.sandbox (<< 2.0~beta2+hg61648)
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Description: sandboxed PyPy interpreter
- A version of PyPy that runs fully "virtualized", where an external process
- controls all input/output. This is a secure sandbox, it is safe to run any
- untrusted Python code with it. The Python code cannot see or modify any local
- file except via interaction with the external process.
  .
  PyPy is a fast, compliant alternative implementation of the Python language
  (2.7).

=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,13 @@
   SUB_MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-# dh_python2 is used for pypy-sandbox
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with sphinxdoc
 
 override_dh_auto_configure:
 	# This rule left intentionally empty
 
-override_dh_auto_build-arch: pypy/goal/pypy-c pypy/goal/pypy-c-sandbox
+override_dh_auto_build-arch: pypy/goal/pypy-c
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
 
 	# Build cffi modules
@@ -32,12 +31,12 @@
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
 
-pypy/goal/pypy-%: export TMPDIR = $(CURDIR)/build-tmp
-pypy/goal/pypy-%: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
-pypy/goal/pypy-%:
+pypy/goal/pypy-c: export TMPDIR = $(CURDIR)/build-tmp
+pypy/goal/pypy-c: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
+pypy/goal/pypy-c:
 	rm -rf $(TMPDIR)
 	mkdir $(TMPDIR)
-	debian/scripts/translate.sh --python $(PYTHON) $$(echo $@ | grep -q sandbox && echo --sandbox)
+	debian/scripts/translate.sh --python $(PYTHON)
 	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
 	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
 	cp $(C_SRC_DIR)/pypy-c $@
@@ -84,9 +83,6 @@
 override_dh_compress:
 	dh_compress -X.inv -X.txt
 
-override_dh_python2:
-	dh_python2 -p python-pypy.sandbox
-
 override_dh_installdeb:
 	set -e; for maintscript in preinst postinst prerm; do \
 		sed -e 's/#VERSION#/$(VER)/g' \
@@ -106,7 +102,7 @@
 	rm -rf pypy-$(VER).orig
 	hg clone $(HG_REPO) pypy-$(VER).orig
 ifeq (,$(REV))
-	cd pypy-$(VER).orig && hg up -r release-$(VER)
+	cd pypy-$(VER).orig && hg up -r release-pypy2.7-v$(VER)
 else
 	cd pypy-$(VER).orig && hg up -r $(REV)
 endif

## pypy 5.6.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -40,4 +40,4 @@
 # http://lists.gnu.org/archive/html/help-make/2010-08/msg00106.html
 
 cffi_imports: pypy-c
-	PYTHONPATH=. ./pypy-c pypy/tool/build_cffi_imports.py
+	PYTHONPATH=. ./pypy-c pypy/tool/build_cffi_imports.py || /bin/true

=== requirements.txt ===
cffi>=1.4.0

# hypothesis is used for test generation on untranslated tests
hypothesis
enum34>=1.1.2

=== debian/changelog ===
pypy (5.6.0+dfsg-4) unstable; urgency=medium

  * Fix clean rule.
  * Patch non-recursive-graphlib: Hopefully fix stack overflow during
    translation on mips{64,}el and armel.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Nov 2016 11:08:46 +0100

pypy (5.6.0+dfsg-2) unstable; urgency=medium

  * Patch noprofopt: Allow the use of --no-profopt with -O3 and --shared.
  * Use --no-profopt when the JIT is disabled, fixing FTBFS on many archs.
  * Patch trackgcroot: Fix FTBFS on i386.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2016 09:40:03 +0000

pypy (5.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Supports OpenSSL 1.1 (Closes: #828517)
  * Refresh patches.
  * Drop patch, superseded upstream: distutils-idempotent
  * Update copyright.
  * Build with --shared, to allow embedding.
  * Patch expat-2.2.0: Don’t test error message detail that changed in Expat
    2.2.0.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Nov 2016 22:27:20 +0000

=== debian/control ===
--- 
+++ 
@@ -107,11 +107,14 @@
 Architecture: all
 Depends: pypy (>= ${source:Version}), ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Provides: libpypy-dev
 Description: header files for PyPy (an alternative Python interpreter)
  Header files for compiling cpython C extension modules for use with PyPy.
  Note that pure Python modules will probably perform better.
  .
  PyPy supports a subset of cpython's C API through its CPyExt subsystem.
  .
+ Also included is PyPy.h, for embedding the PyPy interpreter.
+ .
  PyPy is a fast, compliant alternative implementation of the Python language
  (2.7).

=== debian/watch ===
version=3

# To repack, run debian/rules get-packaged-orig-source
opts=dversionmangle=s/\+dfsg// \
https://bitbucket.org/pypy/pypy/downloads/ /pypy/pypy/get/release-pypy2.7-v([0-9.]+).tar.gz

## pypy 5.8.0+dfsg

=== debian/changelog ===
pypy (5.8.0+dfsg-2) unstable; urgency=medium

  * Disable _vmprof module on kFreeBSD, as it has no F_GETPATH, or equivalent.
  * Stop using asmgcc, it's no longer the default upstream. And causes an
    FTBFS on i386, with _vmprof. (Closes: #864814)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2017 09:46:14 -0700

pypy (5.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable again, the freeze is (almost) over.
  * Refresh patches.
  * Update copyright.
  * Use fPIC on m68k and sh4 (Closes: #861942, #861951)
  * Bump Standards-Version to 4.0.0.
    - Switch copyright file Format to https URL.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Jun 2017 11:00:52 -0700

pypy (5.7.1+dfsg-2) experimental; urgency=medium

  * Install the new cpyext_* headers.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 02 May 2017 12:23:45 -0700

pypy (5.7.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental, due to freeze.
  * Refresh patches.
  * Drop patches, superseded upstream: expat-2.2.0, noprofopt, trackgcroot,
    non-recursive-graphlib.
  * Update copyright.
  * Build-Depend on python-pycparser, required for translation now.
  * Update clean rule.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 25 Apr 2017 22:29:06 -0700

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  procps,
  pypy [any-amd64 any-i386 armhf ppc64 ppc64el s390x] <!stage1>,
  python (>= 2.6.6-11~),
+ python-pycparser,
  python-docutils,
  python-sphinx (>= 1.0.7+dfsg),
  python2.7-dev,
@@ -26,7 +27,7 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://pypy.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pypy.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pypy.git

## pypy 5.10.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pypy
 Section: python
-Priority: extra
-Maintainer: Stefano Rivera <stefanor@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9.20141010~),
  dh-exec,
@@ -27,7 +28,7 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: http://pypy.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pypy.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pypy.git

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	debian/scripts/translate.sh --python $(PYTHON)
 	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
 	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
-	cp $(C_SRC_DIR)/pypy-c $@
+	cp $(C_SRC_DIR)/pypy-c $(C_SRC_DIR)/libpypy-c.so $(dir $@)
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test-arch: export TMPDIR = $(CURDIR)/build-tests-tmp

=== debian/watch ===
version=3

# To repack, run debian/rules get-packaged-orig-source
opts=dversionmangle=s/\+dfsg// \
	https://bitbucket.org/pypy/pypy/downloads/ \
	pypy2-v([0-9.]+)-src\.tar\.bz2

## pypy 5.10.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 RUNINTERP = $(PYPY_EXECUTABLE)
 endif
 
-.PHONY: cffi_imports
+.PHONY: pypy-c cffi_imports
 
 pypy-c:
 	@echo
@@ -32,7 +32,7 @@
 	@echo "===================================================================="
 	@echo
 	@sleep 5
-	$(RUNINTERP) rpython/bin/rpython -Ojit pypy/goal/targetpypystandalone.py
+	cd pypy/goal && $(RUNINTERP) ../../rpython/bin/rpython -Ojit targetpypystandalone.py
 
 # Note: the -jN option, or MAKEFLAGS=-jN, are not usable.  They are
 # replaced with an opaque --jobserver option by the time this Makefile
@@ -40,4 +40,4 @@
 # http://lists.gnu.org/archive/html/help-make/2010-08/msg00106.html
 
 cffi_imports: pypy-c
-	PYTHONPATH=. ./pypy-c pypy/tool/build_cffi_imports.py || /bin/true
+	PYTHONPATH=. pypy/goal/pypy-c pypy/tool/build_cffi_imports.py || /bin/true

=== extra_tests/requirements.txt ===
pytest
hypothesis
vmprof

=== debian/changelog ===
pypy (5.10.0+dfsg-3build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:55:17 +0000

pypy (5.10.0+dfsg-3build1) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:26:51 +0100

pypy (5.10.0+dfsg-3) unstable; urgency=medium

  * Patch: dots-stackcheck: Print more dots to avoid timing out on slower
    buildds (Closes: #878479)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Jan 2018 21:06:44 +1100

pypy (5.10.0+dfsg-2) unstable; urgency=medium

  * Patch: rvmprof: Handle ProcessorAutodetectError. Fixing builds on non-JIT
    archs.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Dec 2017 21:36:16 +0100

pypy (5.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards_version to 4.1.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Dec 2017 15:27:03 +0100

pypy (5.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Import patches into git-dpm (reformatting headers).
  * Update copyright.
  * Use VERSION_CHAR16CHAR32 as the cffi version.
  * Bump Standards-Version to 4.1.1.
    - Change priority to optional.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 Oct 2017 14:56:42 +0200

## pypy 6.0.0+dfsg

=== debian/changelog ===
pypy (6.0.0+dfsg-2) unstable; urgency=medium

  * Add support for hurd-i386 (Closes: #904076), with some patches from
    upstream. Thanks Samuel Thibault.
    - rvmprof-dummy: A fix for rvmprof.dummy
    - avoid-rvmprof-dummy: Disable rvmprof on platforms that won't support it
    - hurd: The main platform support patch.
  * pypy{compile,clean}: Don't attempt to byte-compile (or clean) python
    scripts in /usr/share/doc, when using the -p flag to find all scripts in a
    package. (Closes: #904521)
  * Add temporary cleanup code to pypyclean, removing any byte-compiled files
    that were created due to the above bug.
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Aug 2018 12:18:35 -0700

pypy (6.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch rvmprof-cpu-detection, superseded upstream.
  * Update copyright.
  * Declare Rules-Requires-Root: no
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Migrate VCS fields to salsa.debian.org.
  * Correct cffi pydist-override location, thanks olasd. (Closes: #895938)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Apr 2018 14:16:57 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pypy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9.20141010~),
  dh-exec,
@@ -28,13 +27,14 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Homepage: http://pypy.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pypy.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pypy.git
+Vcs-Git: https://salsa.debian.org/debian/pypy.git
+Vcs-Browser: https://salsa.debian.org/debian/pypy
+Rules-Requires-Root: no
 
 Package: pypy
-Architecture: kfreebsd-any linux-any
+Architecture: any
 Depends: pypy-lib (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: pypy-dev (<< ${source:Version})
 Provides: ${pypy-abi}
@@ -56,7 +56,7 @@
  This package contains the PyPy interpreter.
 
 Package: pypy-tk
-Architecture: kfreebsd-any linux-any
+Architecture: any
 Depends: pypy (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: pypy-lib (<< 2.2)
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
@@ -68,7 +68,7 @@
  (2.7).
 
 Package: pypy-lib
-Architecture: kfreebsd-any linux-any
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}

## pypy 7.0.0+dfsg

=== requirements.txt ===
cffi>=1.4.0

# parse log files in rvmprof tests
vmprof>=0.4.10; 'x86' in platform.machine #skip arm, s390x

# hypothesis is used for test generation on untranslated tests
hypothesis
enum34>=1.1.2

=== debian/changelog ===
pypy (7.0.0+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 Mar 2019 14:26:39 -0700

pypy (7.0.0+dfsg-2) unstable; urgency=medium

  * Remove dh_builddeb override, no longer necessary.
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Patch from upstream release branch: hypothesis-crashes: Handle older
    hypothesis versions better.
  * Patch hurd-sysmacros: Include <sys/sysmacros.h> on GNU/Hurd.
    (Closes: #921937)
  * Use /usr/share/dpkg/architecture.mk to export DEB_HOST_MULTIARCH.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 12 Feb 2019 14:41:21 -0800

pypy (7.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches avoid-rvmprof-dummy, hurd, and rvmprof-dummy. Superseded
    upstream.
  * Update copyright.
  * Clean up after the new "extra_tests" directory.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Feb 2019 15:34:43 +0200

pypy (6.0.0+dfsg-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 12 Feb 2019 14:24:36 -0800

pypy (6.0.0+dfsg-4) unstable; urgency=medium

   * Replace patch dots-gctransform with graphlib-dots: Print some more
     mandlebrot while breaking cycles, to avoid build timeouts.
   * Add namespace package support.
   * Add some superficial autopkgtests.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 30 Jan 2019 13:27:19 +0100

pypy (6.0.0+dfsg-3) unstable; urgency=medium

  * Build in multiarch tuple, even if built with a non-multiarch python.
  * Patch skip-hurd-deadlock: Skip a locking test on hurd, that deadlocks.
  * Patch dots-gctransform: Print some more mandelbrot while "Inlining GC
    helpers", to avoid timeouts.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 28 Aug 2018 10:01:22 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: http://pypy.org/
 Vcs-Git: https://salsa.debian.org/debian/pypy.git
 Vcs-Browser: https://salsa.debian.org/debian/pypy

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 export LDFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get LDFLAGS)
 
 export PYPY_USESSION_BASENAME := debian
+# Our multiarch patch expects DEB_HOST_MULTIARCH
+include /usr/share/dpkg/architecture.mk
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   SUB_MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -91,9 +93,6 @@
 	done
 	dh_installdeb
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 HG_REPO ?= https://bitbucket.org/pypy/pypy
 REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
 VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')

=== debian/tests/control ===
Test-Command: echo 'print "Hello"' | pypy | grep Hello
Depends: pypy
Restrictions: superficial

Test-Command: pypy -c 'print "Hello"' | grep Hello
Depends: pypy
Restrictions: superficial

Test-Command: pypy -c 'import os.path'
Depends: pypy
Restrictions: superficial

Test-Command: pypy -c 'import Tkinter'
Depends: pypy-tk
Restrictions: superficial

## pypy 7.1.1+dfsg

=== debian/changelog ===
pypy (7.1.1+dfsg-1) unstable; urgency=medium

  * New upstream minor release.
  * Update copyright.
  * Drop patches, superseded upstream: hypothesis-crashes, hurd-sysmacros.
  * Patch version-7.1.1: Set the version in the docs to 7.1.1, upstream got it
    wrong.
  * Drop patch graphlib-dots, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 08 Aug 2019 20:10:56 -0300

pypy (7.0.0+dfsg-3) unstable; urgency=medium

  * Update watch file regex, upstream calls it pypy2.7 now.
  * pypycompile and pypyclean now read namespaces from /usr/share/pypy/ns
    (following dh_pypy). (Closes: #924676)
    - Breaks old pypy-backports.functools-lru-cache, using the old location.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 24 Mar 2019 11:07:07 -0400

## pypy 7.3.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,8 @@
 export CFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get CFLAGS)
 export LDFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get LDFLAGS)
 
-export PYPY_USESSION_BASENAME := debian
 # Our multiarch patch expects DEB_HOST_MULTIARCH
 include /usr/share/dpkg/architecture.mk
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  SUB_MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-endif
 
 %:
 	dh $@ --with sphinxdoc
@@ -33,15 +28,8 @@
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
 
-pypy/goal/pypy-c: export TMPDIR = $(CURDIR)/build-tmp
-pypy/goal/pypy-c: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
 pypy/goal/pypy-c:
-	rm -rf $(TMPDIR)
-	mkdir $(TMPDIR)
 	debian/scripts/translate.sh --python $(PYTHON)
-	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
-	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
-	cp $(C_SRC_DIR)/pypy-c $(C_SRC_DIR)/libpypy-c.so $(dir $@)
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test-arch: export TMPDIR = $(CURDIR)/build-tests-tmp
@@ -95,7 +83,7 @@
 
 HG_REPO ?= https://bitbucket.org/pypy/pypy
 REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
-VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')
+VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p' | sed -e 's/~//')
 get-packaged-orig-source:
 	@echo "You can build this from a local repo by supplying the HG_REPO variable"
 	rm -rf pypy-$(VER).orig
